# Delete Search Index

> Permanently deletes a search index and all its data

`DELETE /search/{id}`

## OpenAPI

````yaml devops/developer-api/openapi.yml delete /search/{id}
openapi: 3.0.4
info:
  title: Developer API - Upstash
  description: This is a documentation to specify Developer API endpoints based on
    the OpenAPI 3.0 specification.
  contact:
    name: Support Team
    email: support@upstash.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0
servers:
  - url: https://api.upstash.com/v2
tags:
  - name: redis
    description: Manage redis databases.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: teams
    description: Manage teams and team members.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: vector
    description: Manage vector indices.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: search
    description: Manage search indices.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: qstash
    description: Manage QStash.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
paths:
  /search/{id}:
    delete:
      summary: Delete Search Index
      description: Permanently deletes a search index and all its data
      operationId: deleteSearchIndex
      tags:
        - search
      parameters:
        - name: id
          in: path
          description: The unique ID of the search index to be deleted
          required: true
          schema:
            type: string
      responses:
        "200":
          description: Search Index Deleted Successfully
          content:
            application/json:
              schema:
                type: string
                example: OK
      security:
        - basicAuth: []
````
